metadata:
    name: microbenchmarks
    format: "Lava-Test Test Definition 1.0"
    description: "Run ART microbenchmarks."
    maintainer:
        - vishal.bhoj@linaro.org
    os:
        - android
    devices:
        - pixel
        - nexus5x
    scope:
        - performance
    environment:
        - lava-test-shell
        - local-test-runner

params:
    SNAPSHOTS_URL: ""
    SOURCE_PROJECT_NAME: ""
    SOURCE_BUILD_NUMBER: ""
    SOURCE_BUILD_URL: ""
    SOURCE_BRANCH_NAME: "master"
    SOURCE_GERRIT_CHANGE_NUMBER: ""
    SOURCE_GERRIT_PATCHSET_NUMBER: ""
    SOURCE_GERRIT_CHANGE_URL: ""
    SOURCE_GERRIT_CHANGE_ID: ""
    ART_URL: ""
    LUNCH_TARGET: ""
    BUILD_TARBALL: ""
    ITERATIONS: "10"
    MODE: ""
    # Specify url and token for file uploading.
    ARTIFACTORIAL_URL: "https://archive.validation.linaro.org/artifacts/team/qa/"

run:
    steps:
        - cd ./automated/android/microbenchmarks
        - . ./microbenchmarks.sh -s false
        - if [ ! -z ${ARTIFACTORIAL_TOKEN} ]; then ../../../../utils/upload-to-artifactorial.sh -a artifacts.txz -u "${ARTIFACTORIAL_URL}" -t "${ARTIFACTORIAL_TOKEN}"; fi
